2 Replies Latest reply on Jul 1, 2010 8:59 AM by Felix af Ekenstam

    Update application that was build on 1.5.2 Air config with 1.5.3

    neo_techno

      I have an air application that was installed and had a configuration

      <application xmlns="http://ns.adobe.com/air/application/1.5.2">

      Now I have a small update for it and I changed the the application xml to 1.5.3

      <application xmlns="http://ns.adobe.com/air/application/1.5.3">

      I can't update it because it says the installed is misconfigured

      "This application cannot be installed because this installer has been mis-configured. Please contact the application author for assistance."

       

      How to solve it ? I want to run it on 1.5.3 because I think it will solve my problems with crashing application.

        • 1. Re: Update application that was build on 1.5.2 Air config with 1.5.3
          tzeng Adobe Employee

          Assume you still use the same certificate, you will need to set the <publisherID> tag in your app. descriptor.

          You need to find out the publisher ID for your current application. You can do this by using API, or open the folder META-INF/AIR folder and find the publisherid file.

           

          If you change your certificate, you will need to use ADT's migrate feature also.

           

          -ted

          1 person found this helpful
          • 2. Re: Update application that was build on 1.5.2 Air config with 1.5.3
            Felix af Ekenstam Level 1

            I have a similar issue.

            I am doing an update of an application made in AIR 1.x something. Now I am making it in AIR 2.

            I don't have the old certificate and whenever I try to install it I get that error "This application cannot be installed because this installer has been mis-configured. Please contact the application author for assistance."

             

            If I change the app ID however it the install works fine. But I really ned to keep the same app ID:

             

            How do I do?

            Where do I find ADT's migrate feature?